# TdApi.ToggleChatIsPinned (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ToggleChatIsPinned

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ToggleChatIsPinned

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ToggleChatIsPinned

Enclosing class:
  TdApi

public static final class TdApi.ToggleChatIsPinned extends TdApi.Function<TdApi.Ok>
Changes the pinned state of a chat. There can be up to getOption("pinned_chat_count_max")/getOption("pinned_archived_chat_count_max") pinned non-secret chats and the same number of secret chats in the main/archive chat list. The limit can be increased with Telegram Premium. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`TdApi.ChatList`
`chatList`
Chat list in which to change the pinned state of the chat.
`static final int`
`CONSTRUCTOR`
`boolean`
`isPinned`
Pass true to pin the chat; pass false to unpin it.

## Constructor Summary

Constructors
Constructor
Description
`ToggleChatIsPinned()`
Changes the pinned state of a chat.
`ToggleChatIsPinned(TdApi.ChatList chatList, long chatId, boolean isPinned)`
Changes the pinned state of a chat.
`ToggleChatIsPinned(DataInput input)`
Changes the pinned state of a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatList

public TdApi.ChatList chatList
Chat list in which to change the pinned state of the chat.

### chatId

public long chatId
Chat identifier.

### isPinned

public boolean isPinned
Pass true to pin the chat; pass false to unpin it.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ToggleChatIsPinned

public ToggleChatIsPinned()
Changes the pinned state of a chat. There can be up to getOption("pinned_chat_count_max")/getOption("pinned_archived_chat_count_max") pinned non-secret chats and the same number of secret chats in the main/archive chat list. The limit can be increased with Telegram Premium. Returns `Ok`

### ToggleChatIsPinned

public ToggleChatIsPinned(TdApi.ChatList chatList, long chatId, boolean isPinned)
Changes the pinned state of a chat. There can be up to getOption("pinned_chat_count_max")/getOption("pinned_archived_chat_count_max") pinned non-secret chats and the same number of secret chats in the main/archive chat list. The limit can be increased with Telegram Premium. Returns `Ok`

Parameters:
  `chatList` - ChatList Chat list in which to change the pinned state of the chat.
  `chatId` - long Chat identifier.
  `isPinned` - boolean Pass true to pin the chat; pass false to unpin it.

### ToggleChatIsPinned

public ToggleChatIsPinned(DataInput input) throws IOException
Changes the pinned state of a chat. There can be up to getOption("pinned_chat_count_max")/getOption("pinned_archived_chat_count_max") pinned non-secret chats and the same number of secret chats in the main/archive chat list. The limit can be increased with Telegram Premium. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`